Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.communicator
Class StatAgent

    java.lang.Object
      java.lang.Thread
          madkit.communicator.StatAgent

All Implemented Interfaces:
  java.lang.Runnable

    public class StatAgent

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected java.lang.String[]` | `ALL_MESSAGES`
`protected int[]` | `in`
`protected int` | `NB_MESSAGE_TYPES`
`protected int` | `NB_TYPE`
`protected int[]` | `nbIn`
`protected int[]` | `nbOut`
`protected long` | `oldTime`
`protected int` | `OTHER_TYPE`
`protected int[]` | `out`
`protected int` | `PERIOD`
`protected int` | `SYSTEM_TYPE`
`protected int` | `TCP_TYPE`
`protected long` | `time`
`protected int` | `TOTAL_TYPE`
`protected java.lang.String[]` | `TYPE_NAMES`
`protected int` | `UDP_TYPE`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`StatAgent()`

Method Summary
`void` | `onIn(int size, boolean tcp, java.lang.Object o)`
`void` | `onOut(int size, boolean tcp, java.lang.Object o)`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PERIOD

    protected final int PERIOD

See Also:
  Constant Field Values

### TOTAL_TYPE

    protected final int TOTAL_TYPE

See Also:
  Constant Field Values

### SYSTEM_TYPE

    protected final int SYSTEM_TYPE

See Also:
  Constant Field Values

### OTHER_TYPE

    protected final int OTHER_TYPE

See Also:
  Constant Field Values

### TCP_TYPE

    protected final int TCP_TYPE

See Also:
  Constant Field Values

### UDP_TYPE

    protected final int UDP_TYPE

See Also:
  Constant Field Values

### NB_TYPE

    protected final int NB_TYPE

See Also:
  Constant Field Values

### TYPE_NAMES

    protected final java.lang.String[] TYPE_NAMES

### ALL_MESSAGES

    protected final java.lang.String[] ALL_MESSAGES

### NB_MESSAGE_TYPES

    protected final int NB_MESSAGE_TYPES

### oldTime

    protected long oldTime

### time

    protected long time

### in

    protected int[] in

### out

    protected int[] out

### nbIn

    protected int[] nbIn

### nbOut

    protected int[] nbOut

Constructor Detail

### StatAgent

    public StatAgent()

Method Detail

### onIn

    public void onIn(int size,
                     boolean tcp,
                     java.lang.Object o)

### onOut

    public void onOut(int size,
                      boolean tcp,
                      java.lang.Object o)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.